# $Revision: 1.56 $, $Date: 2006/06/23 08:43:08 $
# Conditional build:
%bcond_with	multilib	# enable multilib on amd64
#
Summary:	An open-source memory debugger
Summary(pl):	Otwarty odpluskwiacz pamici
Name:		valgrind
Version:	3.2.0
Release:	1
License:	GPL
Group:		Development/Tools
Source0:	http://valgrind.org/downloads/%{name}-%{version}.tar.bz2
# Source0-md5:	c418026ce7c38a740ef17efe59509fcf
Patch0:		%{name}-amd64.patch
URL:		http://valgrind.org/
BuildRequires:	autoconf
BuildRequires:	automake
# Needs libc.a
BuildRequires:	glibc-static
Obsoletes:	valgrind-callgrind
Obsoletes:	valgrind-calltree
ExclusiveArch:	%{ix86} %{x8664} ppc ppc64
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautostrip	.*/vgpreload.*\\.so
# ld portion broken
%undefine	with_ccache

%description
Valgrind is a GPL'd system for debugging and profiling Linux programs.
With the tools that come with Valgrind, you can automatically detect
many memory management and threading bugs, avoiding hours of frustrating
bug-hunting, making your programs more stable. You can also perform
detailed profiling to help speed up your programs.

%description -l pl
Valgrind jest systemem sucym do odpluskwiania i profilowania
programw na Linuksie. Uywajc dostarczanych z nim narzdzi mona
automatycznie wykrywa wiele bdw zwizanych z zarzdzaniem pamici i
wtkowaniem, dziki czemu unika si frustrujcego polowania na bdy, a
take czyni si programy bardziej stabilnymi. Moliwe jest rwnie
dokadne profilowanie, dziki ktremu programy zaczn szybciej pracowa.

%prep
%setup -q
#%{!?with_multilib:%patch0 -p1}

%build
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	LDFLAGS="" # no strip!
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

strip $RPM_BUILD_ROOT%{_libdir}/%{name}/hp2ps
rm -rf _docs
mv $RPM_BUILD_ROOT%{_docdir}/valgrind _docs

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ACKNOWLEDGEMENTS AUTHORS FAQ.txt NEWS README README_MISSING_SYSCALL_OR_IOCTL
%doc _docs/html
%doc _docs/valgrind_manual.pdf
%attr(755,root,root) %{_bindir}/*
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/*-linux
%attr(755,root,root) %{_libdir}/%{name}/*-linux/*
%attr(755,root,root) %{_libdir}/%{name}/hp2ps
%{_libdir}/%{name}/*.supp
%{_includedir}/*
%{_pkgconfigdir}/*.pc
%{_mandir}/man1/*.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: valgrind.spec,v $
Revision 1.56  2006/06/23 08:43:08  qboosh
- added ppc64 to EA

Revision 1.55  2006/06/22 18:51:59  wolf
- 3.2.0

Revision 1.54  2006/05/19 15:52:09  glen
- no %files from $RPM_BUILD_ROOT (confuses check-files)
- amd64 is back, but without multilib

Revision 1.53  2006/05/19 15:15:32  wolf
- 3.1.1

Revision 1.52  2006/05/02 19:43:43  pluto
- EA -= x8664 (valgrind contains 32-bit assembly
               and configure check for -m32).

Revision 1.51  2005/12/28 20:24:14  wolf
- 3.1.0

Revision 1.50  2005/10/07 12:19:52  wolf
- 3.0.1

Revision 1.49  2005/08/13 12:48:32  wolf
- handle REP RET

Revision 1.48  2005/08/12 22:17:04  wolf
- 3.0.0

Revision 1.47  2005/04/02 11:49:03  wolf
- 2.4.0

Revision 1.46  2004/12/25 17:55:32  qboosh
- cleanups

Revision 1.45  2004/09/04 10:14:58  wolf
- 2.2.0

Revision 1.44  2004/08/06 15:10:22  wolf
- rel 2
- C: valgrind-calltree

Revision 1.43  2004/07/18 12:43:39  wolf
- 2.1.2

Revision 1.42  2004/06/12 20:12:21  djurban
- updated tarball

Revision 1.41  2004/06/12 13:21:30  djurban
- udpated to 20040612. This version works with NPTL.

Revision 1.40  2004/03/14 19:33:14  wolf
- 2.1.1

Revision 1.39  2004/02/29 15:09:34  wolf
- md5

Revision 1.38  2004/02/29 15:07:57  wolf
- 20040229
- gcc 3.4 fix

Revision 1.37  2004/02/28 22:57:37  wolf
- missing file

Revision 1.36  2004/02/20 19:33:28  wolf
- snap 20040220
- add REP RET support

Revision 1.35  2004/02/16 21:38:54  wolf
- new desc

Revision 1.34  2004/02/08 20:14:17  mmazur
- one patch to include linux/fs.h

Revision 1.33  2004/01/18 00:20:50  wolf
- added kernel headers that valgrind requires

Revision 1.32  2004/01/17 23:45:58  wolf
- fixed url

Revision 1.31  2003/12/23 21:27:57  qboosh
- added pkgconfig file

Revision 1.30  2003/12/22 22:28:18  wolf
- 2.1.0

Revision 1.29  2003/11/14 21:17:14  wolf
- 2.0.0

Revision 1.28  2003/10/21 18:09:25  qboosh
- let it know Linux 2.6

Revision 1.27  2003/10/18 11:24:02  wolf
- fixed group

Revision 1.26  2003/10/17 22:39:29  wolf
- 20031012

Revision 1.25  2003/09/03 12:21:18  qboosh
- cleanups

Revision 1.24  2003/07/27 15:28:52  wolf
- 20030725

Revision 1.23  2003/07/19 12:58:03  wolf
- 20030716
20030716 is, we hope, the most stable Valgrind so far. It completely supersedes the 1.0.X branch. If you are a valgrind packager, please consider making 20030716 available to your users. You can regard both the 1.0.X and 1.9.X branchs as obsolete.

Revision 1.22  2003/06/12 22:16:32  wolf
- 20030612

Revision 1.21  2003/05/25 11:11:21  malekith
- revert massive fsckup

Revision 1.20  2003/05/25 11:01:16  malekith
- massive attack, adding Source-md5

Revision 1.19  2003/05/25 08:42:14  agaran

Revision 1.18  2003/05/25 06:27:39  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.17  2003/05/17 22:04:02  wolf
- 20030517

Revision 1.16  2003/04/15 23:15:47  wolf
- cvs 20030416 for nest

Revision 1.15  2003/04/15 22:56:46  wolf
- 1.9.5
- "You can regard the 1.0.X branch as obsolete: 1.9.5 is stable and vastly
  superior." -- STBR for updates-general?

Revision 1.14  2003/03/30 23:38:38  wolf
- uhm..

Revision 1.13  2003/03/30 23:00:35  wolf
- updated description

Revision 1.12  2003/03/29 00:17:14  wolf
- cvs snap 20030329
- mmx support: nvidia drivers are working

Revision 1.11  2003/01/30 01:26:22  wolf
- 1.9.3 (think glibc 2.3.x)

Revision 1.10  2002/10/18 19:53:03  wolf
- 1.0.4
STBR

Revision 1.9  2002/10/09 13:14:50  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.8  2002/09/24 06:45:29  jajcus
- Version: 1.0.3

Revision 1.7  2002/08/28 16:51:29  misiek
- updated to 1.0.1

Revision 1.6  2002/08/04 10:45:24  misiek
- _noautoprovfiles for valgrind modules; rel 3

Revision 1.5  2002/08/02 17:13:37  kloczek
- release 2.

Revision 1.4  2002/08/02 11:10:52  jajcus
- proper not-stripping of binaries (thanks to arekm)

Revision 1.3  2002/08/02 07:52:03  qboosh
- typo

Revision 1.2  2002/08/01 14:24:38  wolf
- pl desc

Revision 1.1  2002/08/01 10:25:15  jajcus
- new spec
